<?php 

// Amount of active topics to show 
define("TOPIC_COUNT", 8); 

// Path to the phpBB 3.0 root directory 
define("PHPBB_PATH", "/"); 

// URL to the phpBB 3.0 installation 
define("PHPBB_LOCATION", "http://www.y4vuz.com/"); 

// Time format to output the date/time (for format see PHP manual) 
define("TIME_FORMAT", "d/m/Y"); 

// php extension using
$phpEx = "php";

// No Editing unless you know what your doing
if ( !defined('IN_PHPBB') ) 
{
	define('IN_PHPBB', true);
}


// Get the needed phpbb files, thank you phpbb =]
include($phpbb_root_path  . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/bbcode.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

// HTML header start 

?> 
<style>
a:link, 
a:visited {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	color: #496c9f;	
	text-decoration: none;	
}

a:hover {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	color: #496c9f;	
	text-decoration: underline;
}

a:active {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	color: #496c9f;	
	text-decoration: none; 	
}
</style>
<table border="0" cellpadding="1" cellspacing="1" width="100%"> 
<tr> 
<th align="center" bgcolor="#DFE6EF"><font color="#5F5757" size="2">Başlık</font></th> 
<th align="center" bgcolor="#DFE6EF"><font color="#5F5757" size="2">Gösterim</font></th> 
<th align="center" bgcolor="#DFE6EF"><font color="#5F5757" size="2">Mesajlar</font></th> 
<th align="center" bgcolor="#DFE6EF"><font color="#5F5757" size="2">Mesaj Yazan</font></th> 
<th align="center" bgcolor="#DFE6EF"><font color="#5F5757" size="2">Tarih</font></th> 
</tr> 
<?php 

// HTML header end 

$sql = "SELECT DISTINCT t.topic_title, t.topic_id,t.topic_views,t.topic_replies, t.topic_last_post_id, 

p.post_time,p.poster_id, f.forum_name, u.user_id, u.username 
FROM " . TOPICS_TABLE . " AS t, " . POSTS_TABLE . " AS p, " . FORUMS_TABLE . " AS f, " . USERS_TABLE . " AS u 
WHERE 
t.forum_id = f.forum_id

AND p.topic_id = t.topic_id 
AND p.poster_id = u.user_id 
AND p.post_id = t.topic_last_post_id 
ORDER BY p.post_time DESC LIMIT " . TOPIC_COUNT; 
$nt_result = $db->sql_query($sql); 

if(!$nt_result) 
{ 
die("Failed obtaining list of active topics".mysql_error()); 
} 
else 
{ 
$nt_data = $db->sql_fetchrowset(); 
} 

if ( count($nt_data) == 0 ) 
{ 
die("No topics found"); 
} 
else 
{ 
$cq = 1; 
$cc = FFFFFF; 
// $nt_data contains all interesting data 
for ($i = 0; $i < count($nt_data); $i++) 
{ 
$title = $nt_data[$i]['topic_title']; 
$Turl = PHPBB_LOCATION . 'viewtopic.' . $phpEx . "?t=" . $nt_data[$i]['topic_id']; 
$LPurl = PHPBB_LOCATION . 'viewtopic.' . $phpEx . "?p" . "=" . $nt_data[$i]['topic_last_post_id'] . "#p" . $nt_data[$i]['topic_last_post_id']; 

$on_forum = 'Forum ' . $nt_data[$i]['forum_name']; 
$post_time = date(TIME_FORMAT, $nt_data[$i]['post_time']); 
//Profile profile.php?mode=viewprofile&u=23 
$profile = PHPBB_LOCATION . 'memberlist.' . $phpEx . "?mode=viewprofile&u=" . $nt_data[$i]['poster_id'] ; 
$usrname = $nt_data[$i]['username']; 
// Item HTML start 

if($cq%2 == 0){$cc = E8EFF4;$cq++;} else{$cc = E8EFF4;$cq++;}?> 
<tr> 
<td bgcolor="#<?php echo $cc;?>" align="left"><a href="<?php echo $LPurl; ?>" title="<?php echo $on_forum; ?>" 

target="_parent"><font face="verdana" color="#496C9F" size="1"><B><?php echo $title; ?></B></font></a></td> 
<td bgcolor="#<?php echo $cc;?>" align="left"><div align="center"><font face="verdana" color="#5B5B5B" size="1"><?php echo 

$nt_data[$i]['topic_views'] ?></div></td> 
<td bgcolor="#<?php echo $cc;?>" align="left"><font face="verdana" color="#5B5B5B" size="1"><div align="center"><?php echo 

$nt_data[$i]['topic_replies'] ?></div></td> 
<td align="center" bgcolor="#<?php echo $cc;?>" align="left"><font face="verdana" color="#666666" size="1"><a href="<?php 

echo $profile; ?>" target="_parent"><font face="verdana" color="#496C9F" size="1"><B><?php echo $usrname?></B></a></td>
<td bgcolor="#<?php echo $cc;?>" align="left"><font face="verdana" color="#5B5B5B" size="1"><div align="center"><?php echo 

$post_time ?></div></td> 
</tr> 
<?php 

// Item HTML end 

} 
} 

// Footer HTML start 

?> 
</table>